<?php
	require("../__common__/__define_common.php");
	require("__define.php");
	require("../__common__/include-common-all.php");
	require("../account/__logincheck.php");
	require("img-view-include.php");

	$img_file = my_GET('img').'';
	if (defined("photo_LIMITED_IMAGES_FOLDER") and photo_LIMITED_IMAGES_FOLDER <> '') {
		if ($_SESSION['システム管理者'] <> "YES" or photo_LIMITED_ADMIN_NOLIMIT <> 'YES') {
			$len = strlen(photo_LIMITED_IMAGES_FOLDER);
			if (substr($img_file, 0, $len) <> photo_LIMITED_IMAGES_FOLDER) {
				exit;
			}
		}
	}
	if ($_GET['size'].'' <> '' ) {
		$size = $_GET['size'];
	} else {
		$size = 0;
	}
	img_view($img_file, $_GET['type'], '', $size, $_GET['temp'].'', $_GET['jpg'].'');
?>
